<div class="container mt-4">
    <div class="col-md-12">
    <form class="form" [formGroup]="form" (ngSubmit)="submit()">
        <div class="row">
            <div class="mb-3 col-md-4">
                <label for="firstName" class="form-label">First Name</label>
                <input type="text" class="form-control" id="firstName" formControlName="firstName" placeholder="Adi">
                <div *ngIf="f['firstName'].touched && f['firstName'].invalid" class="alert alert-danger">
                    <div *ngIf="f['firstName'].errors && f['firstName'].errors['required']">
                        First Name is required
                    </div>
                </div>
            </div>
            <div class="mb-3 col-md-4">
                <label for="lastName" class="form-label">Last Name</label>
                <input type="text" class="form-control" id="lastName" formControlName="lastName" placeholder="Panca">
                <div *ngIf="f['lastName'].touched && f['lastName'].invalid" class="alert alert-danger">
                    <div *ngIf="f['lastName'].errors && f['lastName'].errors['required']">
                        Last Name is required
                    </div>
                </div>
            </div>
            <div class="mb-3 col-md-4">
                <label for="birthDate" class="form-label">Birth Date</label>
                <!-- <input type="text" class="form-control" id="birthDate" formControlName="birthDate" placeholder="Birth Date" [value]="birthdatevalue"> -->
                <div class="input-group">
                    <input
                        formControlName="birthDate"
                        class="form-control"
                        placeholder="yyyy-mm-dd"
                        name="birthDate"
                        ngbDatepicker
                        #d="ngbDatepicker"
                        [maxDate]="maxDate"
                        (click)="d.toggle()"
                        (dateSelect)="onDateSelect($event)"
                    />
                    <button class="btn btn-outline-secondary glyphicon glyphicon-calendar" (click)="d.toggle()" type="button"></button>
                </div>
                <div *ngIf="f['birthDate'].touched && f['birthDate'].invalid" class="alert alert-danger" formControlName="birthDate">
                    <div *ngIf="f['birthDate'].errors && f['birthDate'].errors['required']">
                        Birth Date is required
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="mb-3 col-md-6">
                <label for="email" class="form-label">Email address</label>
                <input type="email" class="form-control" id="email" placeholder="name@example.com" formControlName="email">
                <div *ngIf="f['email'].touched && f['email'].invalid" class="alert alert-danger">
                    <div *ngIf="f['email'].errors && f['email'].errors['required']">
                        Email is required
                    </div>
                </div>
            </div>
            <div class="mb-3 col-md-6">
                <label for="username" class="form-label">Username</label>
                <input type="text" class="form-control" id="username" placeholder="adipanca" formControlName="username">
                <div *ngIf="f['username'].touched && f['username'].invalid" class="alert alert-danger">
                    <div *ngIf="f['username'].errors && f['username'].errors['required']">
                        Username is required
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="mb-3 col-md-6">
                <label for="basicSalary" class="form-label">Basic Salary</label>
                <input type="text" currencyMask [options]="{ prefix: 'IDR ', thousands: '.', decimal: ',', precision:0,nullable:true,allowZero: true,min:null,align: 'left' }" class="form-control" id="basicSalary" placeholder="IDR 20.000.000" formControlName="basicSalary" value="">
                <div *ngIf="f['basicSalary'].touched && f['basicSalary'].invalid" class="alert alert-danger">
                    <div *ngIf="f['basicSalary'].errors && f['basicSalary'].errors['required']">
                        Basic Salary is required
                    </div>
                </div>
            </div>
            <div class="mb-3 col-md-6">
                <label for="group" class="form-label">Group</label>
                <select2 [data]="select2data" [value]="select2value" [placeholder]="select2placeholder" (update)="select2update($event)" formControlName="group">
                </select2>
                <div *ngIf="f['group'].touched && f['group'].invalid" class="alert alert-danger">
                    <div *ngIf="f['group'].errors && f['group'].errors['required']">
                        Group is required
                    </div>
                </div>
            </div>
        </div>
        <div class="mb-3">
            <label for="description" class="form-label">Description</label>
            <textarea class="form-control" id="description" rows="3" formControlName="description"></textarea>
            <div *ngIf="f['description'].touched && f['description'].invalid" class="alert alert-danger">
                <div *ngIf="f['description'].errors && f['description'].errors['required']">
                    Description is required
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12" align="right">
                <small>Note : The <code>Save</code> button will be enable, if you filled all the field</small>
                <br/>
                <br/>
            </div>
            <div class="col-md-2">
                <a href="#" routerLink="/employee/index" class="btn btn-warning">Cancel</a>
            </div>
            <div class="col-md-10" align="right">
                <button class="btn btn-primary" type="submit" [disabled]="!form.valid">Save</button>
                <!-- <button class="btn btn-primary" type="submit">Save</button> -->
            </div>
        </div>
    </form>
    </div>
</div>